unit  Uart;

interface
type DWORD=Cardinal;

const
Data5Bit                     =5;
Data6Bit                     =6;
Data7Bit                     =7;
Data8Bit                     =8;

NonParity                    =0;
OddParity                    =1;
EvenParity                   =2;

OneStopBit                   =0;
One5StopBit                  =1;
TwoStopBit                   =2;

// return code
NoError                      =0;
FunctionError                =1;
PortError                    =2;
BaudRateError                =3;
DataError                    =4;
StopError                    =5;
ParityError                  =6;
CheckSumError                =7;
ComPortNotOpen               =8;
SendThreadCreateError        =9;
SendCmdError                 =10;
ReadComStatusError           =11;
ResultStrCheckError          =12;
CmdError                     =13;
TimeOut                      =15;
ModuleIdError                =17;
AdChannelError               =18;
UnderInputRange              =19;
ExceedInputRange             =20;
InvalidateCounterNo          =21;
InvalidateCounterValue       =22;
InvalidateGateMode           =23;
InvalidateChannelNo          =24;
ComPortInUse                 =25;


function Get_Uart_Version:WORD; StdCall;
function Open_Com(Port:BYTE; Baudrate:Integer; Data:BYTE; Parity:BYTE; Stop:BYTE):Word; StdCall;
function Close_Com(Port:BYTE):boolean; StdCall;
function Send_Cmd(Port:BYTE; Data:PChar; wChksum:Integer):Word; StdCall;
function Receive_Cmd(Port:BYTE; szResult:PChar; TimeOut:DWord; wChksum:Word; var wT:WORD):Word; StdCall;
function ReadComn(Port:BYTE; szResult:PChar; wmaxLen:Word; var wT:Word):Word; StdCall;
function DataSizeInCom(Port:BYTE):DWord; StdCall;


implementation

function Get_Uart_Version;
         external 'Uart.DLL' name 'Get_Uart_Version';
function Open_Com;
         external 'Uart.DLL' name 'Open_Com';
function Close_Com;
         external 'Uart.DLL' name 'Close_Com';
function Send_Cmd;
         external 'Uart.DLL' name 'Send_Cmd';
function Receive_Cmd;
         external 'Uart.DLL' name 'Receive_Cmd';       
function ReadComn;
         external 'Uart.DLL' name 'ReadComn';
function DataSizeInCom;
         external 'Uart.DLL' name 'DataSizeInCom';  

end.
